Create an NFT

Create an NFT

post

This endpoint allows you to create a new NFT.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestringRequired

Name for you NFT

descriptionstringOptional

Description for your NFT

imagestringRequired

URL pointing to an image for your NFT

managedbooleanOptional

Mints the NFT in a Token Manager

upsertbooleanOptional

Allows updating an NFT if one already exists with the same owner and collection address

ownerAddressstringOptional

Wallet Address of the owner of the NFT

collectionAddressstringOptional

Mint address for the NFT Collection

Responses
chevron-right
200

Returns the upserted NFT

application/json
namestringRequired

Name stored as on-chain metadata

Example: NFT #1
symbolstringOptional

Symbol stored as on-chain metadata

Example: NFT
descriptionstringOptional

Description stored in the metadata

Example: This is my first NFT
imagestringRequired

Image URL for your NFT

Example: https://example.com/image.png
animationUrlstringOptional

Animation URL for your NFT

Example: https://example.com/animation.mp4
idnumberRequired

Unique ID for an NFT in a Project

projectIdnumberOptional

The ID of the Project the NFT is part of

transferablebooleanOptional

Whether or not the NFT can be transferred based on the Project its a part of

mintAddressstringRequired

Address for the NFT's or token's mint account

Example: EBeLw5jEdrEgDe17BdKGW2MizzGxtxigEuAGvYC7VzDpPattern: ^[A-HJ-NP-Za-km-z1-9]*$
ownerAddressstringOptional

Wallet addres for the NFT's owner

Example: EBeLw5jEdrEgDe17BdKGW2MizzGxtxigEuAGvYC7VzDpPattern: ^[A-HJ-NP-Za-km-z1-9]*$
claimerAddressstringOptional

Wallet address allowed to claim the NFT

Example: EBeLw5jEdrEgDe17BdKGW2MizzGxtxigEuAGvYC7VzDpPattern: ^[A-HJ-NP-Za-km-z1-9]*$
statusstringRequired
post
/v1/nfts

Example

curl --request POST \
  --url https://api.underdogprotocol.com/v1/nfts \
  --header "Content-Type: application/json" \
  --header "Authorization: Bearer {token}" \
  --data '
{
        "collectionAddress": "6TpvoRVJfJe6VdqfML4yjvp9Qc49LuVNb7uzWtPRZzVV",
        "name": "Degenerate Ape",
        "image": "https://arweave.net/6TnZgDc7xDFV_0UFyPgfq2wn6UfRv8-DJgwVwoHfLG4"
}'

Last updated